Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

I am trying to migrate redmine to docker. I have prepared mysql:5.7 docker and imported db from dump, copied and mounted 

attachment directory as a volume into docker image (https://hub.docker.com/_/redmine).

Some project are accessible, but for most of them I am getting 500 Internal Error - message below.

Migration from:

Environment:

  Redmine version                3.2.2.stable

  Ruby version                   2.2.2-p95 (2015-04-13) [x86_64-linux]

  Rails version                  4.2.5.2

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.9.7

  Mercurial                      4.5.3

  Filesystem                     

  Xitolite                       2.17.1

Redmine plugins:

  recaptcha                      1.0.0

  redmine_agile                  1.4.3

  redmine_bootstrap_kit          0.2.5

  redmine_git_hosting            1.2.2

  redmine_graphs                 0.1.0

  redmine_latex_mathjax          0.1.0

  redmine_local_avatars          0.1.1

  redmine_mylyn_connector        2.8.2.stable

  redmine_revision_branches      0.3.0

  redmine_sidekiq                2.1.0

 Migration to:

Environment:

  Redmine version                4.1.1.stable

  Ruby version                   2.6.6-p146 (2020-03-31) [x86_64-linux]

  Rails version                  5.2.4.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.10.4

  Mercurial                      4.8.2

  Bazaar                         2.8.0

  Git                            2.20.1

  Filesystem                     

Redmine plugins:

  no plugin installed

 Error message:
I, [2021-01-04T16:30:07.031770 #1]  INFO -- : Completed 500 Internal Server Error in 74ms (ActiveR

ecord: 24.6ms)

F, [2021-01-04T16:30:07.032813 #1] FATAL -- :   

F, [2021-01-04T16:30:07.032843 #1] FATAL -- : ActionView::Template::Error (The single-table inheri

tance mechanism failed to locate the subclass: 'Repository::Xitolite'. This error is raised becaus

e the column 'type' is reserved for storing the class in case of inheritance. Please rename this c

olumn if you didn't intend it to be used for storing the inheritance class or overwrite Repository

.inheritance_column to use another column for that information.):

F, [2021-01-04T16:30:07.032950 #1] FATAL -- :     91:     <% end %>

    92: 

    93:     <h1><%= page_header_title %></h1>

    94: 

    95:     <% if display_main_menu?(@project) %>

    96:     <div id="main-menu" class="tabs">

    97:         <%= render_main_menu(@project) %>

History

#1 - 2021-01-05 00:32 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Please use forums for questions. Issues are used to report a bug, suggesting a new feature, or submitting a patch. Reading How to request help may

be helpful for you.

Since you can see a string "Repository::Xitolite" in the error message, I think redmine_git_hosting plugin caused the error. Maybe it is better to

contact the author of the plugin.

#2 - 2022-12-13 13:43 - Dimitar (RedmineUP)

Hi Dawid,

This is Dimitar from the RedmineUP Support Team.

I see that you have some of our plugins on your list:

redmine_agile

 So, could you please contact our support team at support@redmineup.com? And our support engineers will help you investigate the

situation.

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team

Dawid Cader wrote:

I am trying to migrate redmine to docker. I have prepared mysql:5.7 docker and imported db from dump, copied and mounted attachment

directory as a volume into docker image (https://hub.docker.com/_/redmine).

Some project are accessible, but for most of them I am getting 500 Internal Error - message below.

Migration from:

[...]

Migration to:

[...]

Error message:

[...]
